/*
 *  clock_gettime_stub.h
 *  PovRay 3.7 Unofficial
 *
 *  Created by yvo on 6/06/10.
 * Copyright (c), MM Weiss
 * All rights reserved. *
 * https://github.com/douban/beansdb/blob/master/src/clock_gettime_stub.c
 */
#include <sys/time.h>
#include <sys/resource.h>
#include <mach/mach.h>
#include <mach/clock.h>
#include <mach/mach_time.h>
#include <errno.h>
#include <unistd.h>
#include <sched.h>

#ifndef CLOCK_GETTIME_STUB_HEADER
	#define CLOCK_GETTIME_STUB_HEADER
typedef enum {
	CLOCK_REALTIME,
	CLOCK_MONOTONIC,
	CLOCK_PROCESS_CPUTIME_ID,
	CLOCK_THREAD_CPUTIME_ID
} clockid_t;


int clock_gettime(clockid_t clk_id, struct timespec *tp);

#endif
