/*******************************************************************************
 * MacDisplay.cpp
 * POV-Ray_3.7_MacCommandLine
 * Created by yvo on 23/11/13.
 *
 *
 * ---------------------------------------------------------------------------
 * Persistence of Vision Ray Tracer ('POV-Ray') version 3.7.
 * Copyright 1991-2013 Persistence of Vision Raytracer Pty. Ltd.
 *
 * POV-Ray is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * POV-Ray is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * ---------------------------------------------------------------------------
 * POV-Ray is based on the popular DKB raytracer version 2.12.
 * DKBTrace was originally written by David K. Buck.
 * DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
 * ---------------------------------------------------------------------------
 *******************************************************************************/

 // For now this is just an empty frame
 // to be fixed soon!

#import <sys/sysctl.h>
#import "configbase.h"
#import "povray.h"
#import "povmsgid.h"   /* For kPOVObjectClass_ROptions */
#import "vfe.h"
#import "backend/control/benchmark.h"
#import "frontend/renderfrontend.h"
#import "vfesession.h"
#import "povray.h"
#import "MacDisplay.h"

using namespace pov;
using namespace pov_frontend;
using namespace vfe;
namespace vfe
{

	MacDisplay::MacDisplay(unsigned int w, unsigned int h, GammaCurvePtr gamma, vfeSession *session, bool visible):
	vfeDisplay(w, h, gamma, session, visible) 
	{
	}


//---------------------------------------------------------------------
// MacMegaDisplay::Close
//---------------------------------------------------------------------
void MacDisplay::Close(void)
{
}

//---------------------------------------------------------------------
// MacMegaDisplay::DrawPixel
//---------------------------------------------------------------------
void MacDisplay::DrawPixel(unsigned int x, unsigned int y, const RGBA8& colour)
{
	
}

//---------------------------------------------------------------------
// MacMegaDisplay::DrawRectangleFrame
//---------------------------------------------------------------------
void MacDisplay::DrawRectangleFrame (unsigned int x1, unsigned int y1, unsigned int x2, unsigned int y2, const RGBA8& colour)
{
}

//---------------------------------------------------------------------
// MacMegaDisplay::DrawFilledRectangle
//---------------------------------------------------------------------
void MacDisplay::DrawFilledRectangle(unsigned int x1, unsigned int y1, unsigned int x2, unsigned int y2, const RGBA8& colour)
{
	
}

//---------------------------------------------------------------------
// MacMegaDisplay::DrawFilledRectangle
//---------------------------------------------------------------------
void MacDisplay::DrawPixelBlock(unsigned int x1, unsigned int y1, unsigned int x2, unsigned int y2, const RGBA8 *colour)
{
	
}

//---------------------------------------------------------------------
// MacMegaDisplay::Clear
//---------------------------------------------------------------------
void MacDisplay::Clear(void)

{
}

//---------------------------------------------------------------------
// Mac_Parse_Error
//---------------------------------------------------------------------
// remoteMac_Parse_Error is in picturePreviewBase.mm
//---------------------------------------------------------------------
void Mac_Parse_Error( const char *fileName, long  lineNo)
{
}

vfeDisplay *MacDisplayCreator (unsigned int width, unsigned int height, GammaCurvePtr gamma, vfeSession *session, bool visible)
{
	MacDisplay *p = new MacDisplay (width, height, gamma, session, false) ;
	return p;
}



} // end namespace


